Update Acceleration

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/acceleration
API call form
Examples
List of examples
  • Update acceleration schedule
  • Change acceleration from full to delta sync
  • Change acceleration from delta to full sync
  • Change acceleration to full-delta sync
  • Trigger a full sync
Description

Change an acceleration to full-delta sync mode.

Install
npm install @luzmo/nodejs-sdk

Change an acceleration to full-delta sync mode.

Example Response
200
400
500
{
  "id": "192c1562-0de6-4376-aea9-ce99f25d0f13",
  "load_type": "full-delta",
  "data_storage_strategy": "insert",
  "last_synced_at": "2025-11-26T12:50:40.963Z",
  "last_storage_size": "195229",
  "uses_clickhouse_experimental": true,
  "primary_key_column_id": null,
  "primary_key_column_ids": null,
  "created_at_column_id": "9d9a1799-f698-4798-bd6c-6a96c74d4923",
  "updated_at_column_id": null,
  "deleted_at_column_id": null,
  "full_sync_interval": 720,
  "current_sync_count": "1",
  "last_sync_started_at": null,
  "delta_sync_schema_change_strategy": null,
  "delta_sync_max_sync_period": null,
  "delta_sync_initial_load_date": null,
  "last_full_sync_at": "2025-11-26T12:50:40.963Z",
  "created_at": "2025-07-21T11:50:05.286Z",
  "updated_at": "2025-11-26T17:06:35.835Z",
  "user_id": "48488a0b-8bfb-4588-8fe7-cc92c4e722c0",
  "schedule_id": "c5135957-d963-4e8a-8412-a725109cfb1f",
  "schedule": {
    "started_at": "2025-07-21T11:50:05.252Z",
    "frequency_unit": "minute",
    "frequency_quantity": 2,
    "last_execution_status": "completed",
    "completed_at": "2025-11-26T12:50:51.887Z",
    "scheduled_at": "2025-11-26T17:06:35.827Z",
    "active": true
  }
}